> ## Documentation Index
> Fetch the complete documentation index at: https://docs-test.rye.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List drawdown transactions

> List drawdown balance transactions for the authenticated developer



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/checkout-intents/openapi.documented.yml get /api/v1/billing/transactions
openapi: 3.0.0
info:
  title: Universal Checkout API
  version: 1.0.5
  description: >-
    Turn any product URL into a completed checkout. Instantly retrieve price,
    tax, and shipping for any product, and let users buy without ever leaving
    your native AI experience.


    View the [Rye API docs](https://docs.rye.com).
  termsOfService: https://rye.com/terms-of-service
  license:
    name: UNLICENSED
  contact:
    name: Rye
    email: dev@rye.com
    url: https://docs.rye.com
servers:
  - url: https://staging.api.rye.com
security: []
paths:
  /api/v1/billing/transactions:
    get:
      tags:
        - Billing
      summary: List drawdown transactions
      description: List drawdown balance transactions for the authenticated developer
      operationId: ListTransactions
      parameters:
        - description: Maximum number of transactions to return (default 20)
          in: query
          name: limit
          required: false
          schema:
            default: 20
            format: int32
            type: integer
            minimum: 1
            maximum: 100
        - description: Cursor for forward pagination (transaction ID to start after)
          in: query
          name: after
          required: false
          schema:
            type: string
        - description: Cursor for backward pagination (transaction ID to end before)
          in: query
          name: before
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Paginated list of balance transactions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionsResponse'
        '401':
          description: Authentication Failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuthenticationError'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidateError'
      security:
        - bearerAuth:
            - billing:read
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import CheckoutIntents from 'checkout-intents';


            const client = new CheckoutIntents({
              apiKey: process.env['CHECKOUT_INTENTS_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const billingListTransactionsResponse of
            client.billing.listTransactions()) {
              console.log(billingListTransactionsResponse.id);
            }
        - lang: Python
          source: |-
            import os
            from checkout_intents import CheckoutIntents

            client = CheckoutIntents(
                api_key=os.environ.get("CHECKOUT_INTENTS_API_KEY"),  # This is the default and can be omitted
            )
            page = client.billing.list_transactions()
            page = page.data[0]
            print(page.id)
        - lang: Java
          source: |-
            package com.rye.example;

            import com.rye.client.CheckoutIntentsClient;
            import com.rye.client.okhttp.CheckoutIntentsOkHttpClient;
            import com.rye.models.billing.BillingListTransactionsPage;
            import com.rye.models.billing.BillingListTransactionsParams;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    CheckoutIntentsClient client = CheckoutIntentsOkHttpClient.fromEnv();

                    BillingListTransactionsPage page = client.billing().listTransactions();
                }
            }
        - lang: cURL
          source: |-
            curl https://staging.api.rye.com/api/v1/billing/transactions \
                -H "Authorization: Bearer $CHECKOUT_INTENTS_API_KEY"
components:
  schemas:
    TransactionsResponse:
      properties:
        pageInfo:
          properties:
            startCursor:
              type: string
              example: cbtxn_abc123
            endCursor:
              type: string
              example: cbtxn_xyz789
            hasPreviousPage:
              type: boolean
            hasNextPage:
              type: boolean
          required:
            - hasPreviousPage
            - hasNextPage
          type: object
        data:
          items:
            $ref: '#/components/schemas/TransactionResponse'
          type: array
      required:
        - pageInfo
        - data
      type: object
    AuthenticationError:
      properties:
        name:
          type: string
        message:
          type: string
        stack:
          type: string
      required:
        - name
        - message
      type: object
      additionalProperties: false
    ValidateError:
      properties:
        name:
          type: string
        message:
          type: string
        stack:
          type: string
        status:
          type: number
          format: double
        fields:
          $ref: '#/components/schemas/FieldErrors'
      required:
        - name
        - message
        - status
        - fields
      type: object
      additionalProperties: false
    TransactionResponse:
      properties:
        createdAt:
          type: string
          format: date-time
        metadata:
          $ref: '#/components/schemas/Record_string.string_'
        description:
          type: string
          example: 'Balance debit for order #12345'
        amount:
          $ref: '#/components/schemas/Money'
        id:
          type: string
          example: cbtxn_abc123
      required:
        - createdAt
        - amount
        - id
      type: object
    FieldErrors:
      properties: {}
      type: object
      additionalProperties:
        properties:
          value: {}
          message:
            type: string
        required:
          - message
        type: object
    Record_string.string_:
      properties: {}
      additionalProperties:
        type: string
      type: object
      description: Construct a type with a set of properties K of type T
    Money:
      properties:
        currencyCode:
          type: string
          example: USD
        amountSubunits:
          type: integer
          format: int32
          example: 1500
      required:
        - currencyCode
        - amountSubunits
      type: object
  securitySchemes:
    bearerAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Rye API key

````